﻿/************************************************************************
 * Applikation  : DmcGeneratorTest (Bezeichnung der Applikation / des Projektes)
 * ---------------------------------------------------------------------
 * Datei        : MainWindow.cs
 * Beschreibung : TO_DO (Kurze Beschreibung zu der Datei. Inhalt und Funktion.)
 * ---------------------------------------------------------------------
 * Copyright (c) 2014-2023 by
 * LIWO - Prüfautomation
 * Lippok & Wolf GmbH
 * Hutt-Keller-Str. 2
 * 73642 Welzheim, Deutschland
 * 
 * Phone  : +49 7182 93660–0
 * Fax    : +49 7182 93660-99
 * e-mail : info@liwo.com
 * WWW    : http://www.liwo.com
 * 
 * All rights reserved.
 * ---------------------------------------------------------------------
 * 05.03.2014 14:02:55 : Erstellt von SSchmitt.
 * tt.mm.jjjj : Geändert von VV. NNNNNN.
 ************************************************************************/

using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;

namespace DmcGeneratorTest
{
    //=========================================================================
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        //---------------------------------------------------------------------
        public MainWindow()
        {
            InitializeComponent();
        }

        //---------------------------------------------------------------------
        private void ButtonSchreiben_Click(object sender, RoutedEventArgs e)
        {
            int height = (int)DmcPdf417Output.ActualHeight;
            int width = (int)DmcPdf417Output.ActualWidth;
            
            RenderTargetBitmap renderTargetBitmap = new RenderTargetBitmap(width, height, 96, 96, PixelFormats.Default);
            renderTargetBitmap.Render(DmcPdf417Output);

            BitmapEncoder encoder = new TiffBitmapEncoder();// PngBitmapEncoder();
            encoder.Frames.Add(BitmapFrame.Create(renderTargetBitmap));

            SaveFileDialog _saveFileDialog = new SaveFileDialog();
            _saveFileDialog.Filter = "TIFF (*.tif)|*.tif";
            if (_saveFileDialog.ShowDialog() == true)
            {
                using (Stream stream = _saveFileDialog.OpenFile())
                {
                    encoder.Save(stream);
                }
            }
 
        }
    }
}
